<?php

// By default, refresh cache every 5 minutes.
define('PICASA_DEFAULT_CACHE_LIFETIME', 300);

/**
 * Retrieve an stored object from picasa cache.
 */
function picasa_cache_get($variable) {
  static $picasa_variables;
  if (!isset($picasa_variables[$variable])) {
    $data = cache_get($variable, 'cache_picasa');
    $picasa_variables[$variable] = unserialize($data->data);
  }
  return $picasa_variables[$variable_name];
}

/**
 * Store an object to picasa cache.
 */
function picasa_cache_set($variable, $data) {
  cache_set($variable, 'cache_picasa', serialize($data));
}

/**
 * Clear an object in picasa cache.
 */
function picasa_cache_clear($variable, $wildcard = FALSE) {
  cache_clear_all($variable, 'cache_picasa', $wildcard);
}
